Subject: Re: Include in next: krzk/linux-dt

From: Stephen Rothwell <[email-masked]>
Date: Tue, 21 Jun 2022 08:33:43 +1000

Hi Krzysztof,

On Mon, 20 Jun 2022 21:34:22 +0200 Krzysztof Kozlowski <[email-masked]> wrote:
>
> Please kindly include in linux-next my new tree:
> https://git.kernel.org/pub/scm/linux/kernel/git/krzk/linux-dt.git
> 
> branch: for-next
> branch for pending-fixes: fixes
> 
> I tend to create a lot of cleanup patches for Devicetree bindings and
> DTS files. Since some time I started to pick them up to my Samsung SoC
> tree and send to arm-soc (Arnd, Olof). This way I will split it from
> Samsung SoC work to independent cleanup stuff.
> 
> The tree will be sent with pull requests to arm-soc (Arnd, Olof) or to
> DT (Rob Herring).

Added from today.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]